#{extends 'borderNG.html' /}

<ol class="breadcrumb">
    <li><a href="@{BerandaCtr.index()}">&{'kontrak.paket_tender_ppk'}</a></li>
    <li><a href="@{lelang.KontrakCtr.sppbjPpk(lelang.lls_id)}">&{'kontrak.e_kontrak'}</a></li>
    <li class="active">&{'kontrak.form_surat_perjanjian'}</li>
</ol>

<div class="content">
#{alert /}
#{form @lelang.KontrakCtr.simpanSuratPerjanjian(sppbj.sppbj_id), name:'formPerjanjian', enctype:"multipart/form-data", method:'POST', class:'form-horizontal'}
    <div class="bs-callout bs-callout-info"><strong>&{'kontrak.info_paket'}</strong></div>
    <table class="table table-condensed">
        <tr>
            <td width="250px">&{'kontrak.kode_tender'}</td>
            <td>${lelang?.lls_id}</td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nama_tender'}</td>
            <td>${lelang?.paket?.pkt_nama}</td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.lokasi'}</td>
            <td>
                #{list items:lelang?.getPaket().getPaketLokasi(), as: 'lokasi'}
                ${lokasi?.pkt_lokasi} - ${lokasi?.kabupaten?.kbp_nama}
                #{/list}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.anggaran'}</td>
            <td>
                #{list anggaranList, as:'anggaran'} ${anggaran?.sbd_id.label}-${anggaran?.ang_tahun}
                    &nbsp;&nbsp;&nbsp;#{/list}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.satuan_kerja_aja'}</td>
            <td>${lelang?.paket?.getNamaSatker()}</td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nilai_pagu'}</td>
            <td>${lelang?.getPaket().pkt_pagu.rupiah()}</td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nilai_hps'}</td>
            <td>${lelang?.getPaket().pkt_hps.rupiah()}</td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrak.form_surat_kontrak'}</strong></div>

    <table class="table table-condensed">
        #{if kontrakx?.kontrak_id!=null}
            <input type="hidden" name="kontrak.kontrak_id" value="${kontrakx.kontrak_id}" class="form-control"/>
        #{/if}
        <tr>
            <td width="250px">&{'kontrak.no_kontrak'} <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_no'/}">
                <input type="text" id="noKontrak" name="kontrak.kontrak_no" value="${kontrakx?.kontrak_no}"
                       class="form-control"/>
                <span class="help-block">#{error 'kontrak.kontrak_no' /}</span>
            </td>
        </tr>

        <tr>
            <td class="name">kontrak.tgl_kontrak <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_tanggal'/}">
                <div class=" input-group date width-normal ">
                    <input name="kontrak.kontrak_tanggal" value="${kontrakx?.kontrak_tanggal?.toDatepicker()}"
                           type="text" class="form-control"/>
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                </div>
                <span class="help-block">#{error 'kontrak.kontrak_tanggal' /}</span>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.kota_kontrak'}</td>
            <td>
                <input type="text" id="kotaKontrak" name="kontrak.kontrak_kota" value="${kontrakx?.kontrak_kota}" class="form-control"/>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrak.pihak_pertama_low'}</strong></div>

    <table class="table table-condensed">
        <tr>
            <td width="250px" class="name">&{'kontrak.nama_ppk'}</td>
            <td>
            ${ppk?.getPegawai().peg_nama.toUpperCase()}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nip_ppk'}</td>
            <td>
            ${ppk?.getPegawai().peg_nip}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.unit_kerja'}</td>
            <td>
                <input type="text" class="form-control input-sm" name="unit_kerja_sk" value="${ppk?.ppk_unit_kerja_sk}"/>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.sama_satuan_kerja'}</td>
            <td>
            ${lelang?.paket?.getNamaSatker()}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.alamat_satuan_kerja'} <span class="error">*</span></td>
            <td class="#{errorClass 'alamat_satker'/}">
                <input type="text" class="form-control input-sm" name="alamat_satker"
                       value="${lelang?.paket?.getAlamatSatker()}"/>
                <span class="help-block">#{error 'alamat_satker' /}</span>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.jabatan_ttd_skppk'}</td>
            <td>
                <input type="text" class="form-control input-sm" name="pembuat_sk" value="${ppk?.ppk_pembuat_sk}"/>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.no_sk_ppk'} <span class="error">*</span></td>
            <td class="#{errorClass 'nomor_sk'/}">
                <input type="text" class="form-control input-sm" name="nomor_sk" value="${ppk?.ppk_nomor_sk}"/>
                <span class="help-block">#{error 'nomor_sk' /}</span>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrak.pihak_kedua_low'}</strong></div>

    <table class="table table-condensed">
        <tr>
            <td width="250px" class="name">&{'kontrak.tipe_penyedia'}</td>
            <td>
                <select name="kontrak.kontrak_tipe_penyedia" value="${kontrakx?.kontrak_tipe_penyedia}"
                        style="width:260px;" id="penyedia" class="form-control penyedia">

                    <option value="Penyedia Perseorangan">&{'kontrak.penyedia_perseorangan'}</option>
                    <option value="Penyedia Badan Usaha Non KSO"
                            #{if kontrakx?.kontrak_tipe_penyedia=="Penyedia Badan Usaha Non KSO"}selected #{/if}>
                    &{'kontrak.penyedia_badan_non_kso'}
                    </option>
                    <option value="Penyedia Kemitraan/KSO"
                            #{if kontrakx?.kontrak_tipe_penyedia=="Penyedia Kemitraan/KSO"}selected #{/if} >&{'kontrak.penyedia_kemitraan'}
                    </option>
                </select>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nama_penyedia'}</td>
            <td><strong>${sppbj?.rekanan?.rkn_nama.toUpperCase()}</strong></td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.alamat_penyedia'}</td>
            <td><strong>${sppbj?.rekanan?.rkn_alamat}</strong></td>
        </tr>

        <tr class="nonkso">
            <td class="name">&{'kontrak.no_akta_pendirian'}</td>
            <td><strong>${akta?.lhk_no}</strong></td>
        </tr>

        <tr class="nonkso">
            <td class="name">&{'kontrak.tanggal_akta_pendirian'}</td>
            <td><strong>${akta?.lhk_tanggal?.formatDateInd()}</strong></td>
        </tr>

        <tr class="nonkso">
            <td class="name">&{'kontrak.wakil_sahs'} <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_wakil_penyedia'/}">
                <input type="text" class="form-control input-sm" name="kontrak.kontrak_wakil_penyedia"
                       value="${kontrakx?.kontrak_wakil_penyedia}"/>
                <span class="help-block">#{error 'kontrak.kontrak_wakil_penyedia' /}</span>
            </td>
        </tr>

        <tr class="nonkso">
            <td class="name">&{'kontrak.wakil_jabatan'} <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_jabatan_wakil'/}">
                <input type="text" class="form-control input-sm" name="kontrak.kontrak_jabatan_wakil"
                       value="${kontrakx?.kontrak_jabatan_wakil}"/>
                <span class="help-block">#{error 'kontrak.kontrak_jabatan_wakil' /}</span>
            </td>
        </tr>

        <tr class="kso">
            <td class="name">&{'kontrak.no_surat_kso'}</td>
            <td>
                <input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.noSuratKso'/}"
                       id="noSuratKso" name="kso.no_kso" value="${kso?.no_kso}"/>
            </td>
        </tr>

        <tr class="kso">
            <td class="name">&{'kontrak.tgl_surat_kso'}</td>
            <td>
                <div class=" input-group date width-normal ">
                    <input name="tgl_kso" value="${kso?.tgl_surat_kso?.toDatepicker()}" type="text"
                           class="form-control"/>
                    <span class="input-group-addon"><i class="fa fa-calendar"></i></span>
                </div>
            </td>
        </tr>

        <tr class="kso">
            <td class="name">&{'kontrak.anggota_kso'}</td>
            <td>
                <input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.anggotaKso'/}"
                       id="anggotaKso" name="kso.anggota_kso" #{if kso?.anggota_kso!=null}
                       value="${kso?.anggota_kso}" #{/if} #{else} value="${sppbj?.rekanan?.rkn_nama}" #{/else}/>
            </td>
        </tr>

        <tr class="kso">
            <td class="name">&{'kontrak.perwakilan_kso'}</td>
            <td>
                <input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.wakilKso'/}"
                       id="wakilKso" name="kso.wakil_kso" value="${kso?.wakil_kso}"/>
            </td>
        </tr>

        <tr class="kso">
            <td class="name">&{'kontrak.alamat_perwakilan_kso'}</td>
            <td>
                <input type="text" class="form-control input-sm #{errorClass 'objPaketEContract.alamatKso'/}"
                       id="alamatKso" name="kso.alamat_kso" value="${kso?.alamat_kso}"/>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.nama_bank'} <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_namarekening'/}">
                <input type="text" class="form-control input-sm" name="kontrak.kontrak_namarekening"
                       value="${kontrakx?.kontrak_namarekening}"/>
                <span class="help-block">#{error 'kontrak.kontrak_namarekening' /}</span>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.no_rekening'} <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_norekening'/}">
                <input type="text" class="form-control input-sm" name="kontrak.kontrak_norekening"
                       value="${kontrakx?.kontrak_norekening}"/>
                <span class="help-block">#{error 'kontrak.kontrak_norekening' /}</span>
            </td>
        </tr>
    </table>

    <div class="bs-callout bs-callout-info"><strong>&{'kontrak.info_pendukung'}</strong></div>

    <table class="table table-condensed">
        <tr>
            <td width="250px" class="name">&{'kontrak.nilai_kontrak'} (Rp) <span class="error">*</span></td>
            <td class="#{errorClass 'kontrak.kontrak_nilai'/}">
                #{if kontrakx?.kontrak_nilai == null}
                    <input type="text" class="form-control input-sm money" id="nilaiKontrak"
                           name="kontrak.kontrak_nilai" value="${sppbj?.harga_final?.formatDouble()}"/>
                #{/if}
                #{else}
                    <input type="text" class="form-control input-sm money" id="nilaiKontrak"
                           name="kontrak.kontrak_nilai" value="${kontrakx?.kontrak_nilai?.formatDouble()}"/>
                #{/else}
                <span class="help-block">#{error 'kontrak.kontrak_nilai' /}</span>
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.jenis_kontrak_low'}</td>
            <td>
            ${lelang?.getKontrakPembayaran()?.label}
            </td>
        </tr>

        <tr>
            <td class="name">&{'kontrak.info_lainnya'}</td>
            <td>
                <textarea id="keterangan" name="kontrak.kontrak_lingkup" rows="5" cols="100" validate="required"
                          class="form-control">${kontrakx?.kontrak_lingkup}</textarea>
            </td>
        </tr>

        #{if sppbj!=null && kontrakx!=null}
            <tr>
                <td class="name">&{'kontrak.doc_cetak_surat_perjanjian'}</td>
                <td>
                    <div class="btn btn-success fileinput-button" style="margin-bottom: 10px;">
                        <i class="glyphicon glyphicon-plus"></i>
                        <span>Upload</span>
                        <input id="fileupload" type="file" name="file" />
                    </div>
                    <div id="progress" class="progress" style="display: none;">
                        <div class="progress-bar progress-bar-success"></div>
                    </div>
                    <div id="alert-upload"></div>
                    <input type="hidden" id="id_attacment2" name="kontrak.kontrak_id_attacment2" value="${kontrakx?.kontrak_id_attacment2}" />
                    <table class="table table-striped" id="files">
                        <thead>
                            <th>&{'kontrak.nama_file'}</th>
                            <th>&{'kontrak.tgl_upload'}</th>
                            <th>&{'kontrak.aksi'}</th>
                        </thead>
                        <tbody>
                            #{list items:kontrakx?.dokAttachment2, as:'dok'}
                            <tr>
                                <td>#{download dok/}</td>
                                <td>${dok?.blb_date_time?.formatDateTime()}</td>
                                <td><a href="javascript:void(0)" title="Hapus" class="removeDok" versi="${dok.blb_versi}">
                                    <i class="fa fa-trash-o"></i></a>
                                </td>
                            </tr>
                            #{/list}
                        </tbody>
                    </table>
                </td>
            </tr>
        #{/if}

        #{if sppbj!=null}
            <tr>
                <td colspan="2">
                    <button type="submit" name="simpan" class="btn btn-success"><i class="fa fa-save"></i> &{'kontrak.btn_simpan'}
                    </button>
                    #{if kontrakx!=null}
                        <a href="@{lelang.KontrakCtr.cetakPerjanjian(kontrakx.kontrak_id)}" class="btn btn-primary" target="_blank"><i
                                class="fa fa-print"></i> &{'kontrak.btn_cetak'}</a>
                    #{/if}
                    <a href="@{lelang.KontrakCtr.sppbjPpk(lelang.lls_id)}" type="submit" name="simpan"
                       class="btn btn-default"> &{'kontrak.btn_kembali'}</a>
                </td>
            </tr>
        #{/if}
    </table>
#{/form}

    <div class="bs-callout bs-callout-warning">
        &{'kontrak.doc_allow'}
    </div>

</div>
#{set 'css_custom' }
    <link href="#{assets '/bootstrap/css/bootstrap-datepicker.min.css'/}" rel="stylesheet" type="text/css">
    <link href="#{assets '/bootstrap/css/jquery.fileupload.css'/}" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="#{assets '/bootstrap/js/bootstrap-datepicker.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/form.util.js'/}"></script>
<script type="text/javascript" src="#{assets '/javascripts/autoNumeric.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.ui.widget.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.iframe-transport.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-process.min.js'/}"></script>
<script type="text/javascript" src="#{assets '/bootstrap/js/jquery.fileupload-validate.js'/}"></script>
<script type="text/javascript">

    //karena di format util tidak ada fungsi format tanpa Rp dengan delimiter x.xxx.xxx,xx, sementara pake fungsi ini
    $(document).ready(function () {
        $("[name='kontrak.kontrak_nilai']").val($("[name='kontrak.kontrak_nilai']").val().replace("Rp ", ""));
        new AutoNumeric.multiple('.money', {digitGroupSeparator: '.', decimalCharacter: ','});
    });

    $("[name='kontrak.kontrak_norekening']")
            .keypress(function (e) {
                if (e.which > 31 && (e.which < 48 || e.which > 57)) {
                    return false;
                }
            });

    function formatCurrency(num) {
        num = num.toString().replace(/\$|\,/g, '');
        if (isNaN(num)) {
            num = "0";
        }

        sign = (num == (num = Math.abs(num)));
        num = Math.floor(num * 100 + 0.50000000001);
        cents = num % 100;
        num = Math.floor(num / 100).toString();

        if (cents < 100) {
            cents = "0" + cents;
        }

        for (var i = 0; i < Math.floor((num.length - (1 + i)) / 3); i++) {
            num = num.substring(0, num.length - (4 * i + 3)) + '.' + num.substring(num.length - (4 * i + 3));
        }

        return (((sign) ? '' : '-') + num + ',' + cents);
    }

        #{if kontrakx == null}
        $(".nonkso").show();
        $(".kso").hide();
        $("#penyedia").val("Penyedia Badan Usaha Non KSO");
        #{/if}
        #{else}
            #{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Badan Usaha Non KSO'} $(".nonkso").show(); #{/if}
            #{else} $(".nonkso").hide(); #{/else}
            #{if kontrakx?.kontrak_tipe_penyedia=='Penyedia Kemitraan/KSO'} $(".kso").show(); #{/if}
            #{else} $(".kso").hide(); #{/else}
        #{/else}

    $("#penyedia").on("change", function () {

        var tipe = $(this).val();
        if (tipe == 'Penyedia Kemitraan/KSO') {
            $(".kso").show();
            $(".nonkso").hide();
        }
        else if (tipe == 'Penyedia Badan Usaha Non KSO') {
            $(".nonkso").show();
            $(".kso").hide();
        }
        else {
            $(".kso").hide();
            $(".nonkso").hide();
        }
    });

    $(document).on('click', '#fileupload', function(){
        var url = '@{lelang.KontrakCtr.uploadAttachment2(kontrakx?.kontrak_id)}';
        $('#fileupload').fileupload({
            url: url,
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|jpg|png|zip|rar)$/i,
            done: function (e, data) {
                $('#progress').hide();
                if (data.result.success) {
                    $.each(data.result.files, function (index, file) {
                        var upload_date = file.upload_date;
                        var content = '<td>' + file.name + '<td>' + upload_date + '</td><td>' +
                                '<a href="javascript:void(0)" class="removeDok" versi="' + file.versi + '">' +
                                '<i class="fa fa-trash-o" ></i></a></td>';
                        $('#id_attacment2').val(file.id);
                        $('<tr/>').html(content).appendTo('#files');
                    });
                    $('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.fbd'}').show();
                } else {
                    $('#alert-upload').attr('class', 'alert alert-danger').html(data.result.message).show();
                }
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg).show()
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    });

    $(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi')
        var parent = $(this).parent()
        var source  = #{jsRoute @lelang.KontrakCtr.hapusAttachment2(kontrakx?.kontrak_id) /};
        $.ajax({
            type: 'POST',
            url: source.url(),
            data : {'versi': versi},
            success : function(){
                $('#alert-upload').attr('class', 'alert alert-success').html('&{'flash.ftbdh'}').show();
                parent.parent().remove()
            },
            error : function(){
                $('#alert-upload').attr('class', 'alert alert-danger').html('&{'flash.ftdkdbh'}').show();
            }
        })
    });
</script>
#{/set}
